
Demo.prototype.sceneTexts = function () {
    this.setScene('texts');
  

    let texts = [
      'GREETINGS',
      'U+9F2B',
      'U+1F35E',
      'U+00FC',
      'U+263F',
      'U+1F9C3',
      'U+1F9F2',
    ];
    texts.forEach((text, index) => {
      this.drawText(index*4, 5, 0, 0, 1, text);
    });
}


Demo.prototype.drawText = function (startTime, durationTime, x, y, scale, textString)
{

  const bpm = 160;
  const beat = 60/bpm;

this.loader.addAnimation([{
  start: startTime*beat, duration: durationTime*beat,
  text:{string:textString,name:"multiSceneEffects/monoSpace.ttf"
  },
  perspective:"3d", 
  color:[{"r":1.0,"g":1.0,"b":1.0,"a":0.0}
    ,{duration:beat},{a:1}
    ,{duration:durationTime*beat-beat*2},{a:1}
    ,{duration:beat},{a:0}
  ],
  position:[{x:x+.25, y:y-.25, z:-20}],
  scale: [{ uniform3d: 50.0 }],
  }]);
}